/*
 * Copyright 2010, 2011 mapsforge.org
 *
 * This program is free software: you can redistribute it and/or modify it under the
 * terms of the GNU Lesser General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.mapsforge.android.maps.rendertheme;

enum FontStyle {
	BOLD, BOLD_ITALIC, ITALIC, NORMAL;

	/**
	 * Returns the constant int value of this FontStyle.
	 * 
	 * @return the constant int value of this FontStyle.
	 * @see <a href="http://developer.android.com/reference/android/graphics/Typeface.html">Typeface</a>
	 */
	int toInt() {
		switch (this) {
			case BOLD:
				return 1;
			case BOLD_ITALIC:
				return 3;
			case ITALIC:
				return 2;
			case NORMAL:
				return 0;
			default:
				throw new IllegalArgumentException("unknown enum: " + this);
		}
	}
}